Package org.codehaus.groovy.util

# Class ManagedLinkedList<T>

java.lang.Object
org.codehaus.groovy.util.ManagedLinkedList<T>

@Deprecated public class ManagedLinkedList<T> extends Object
Deprecated.
replaced by `ManagedConcurrentLinkedQueue`
This class provides a very simple linked list of memory managed elements. This class does not support concurrent modifications nor will it check for them. This class is also not thread safe.

Since:
  1.6

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManagedLinkedList(ReferenceBundle bundle)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(T value)`
  Deprecated.
  adds a value to the list
  `boolean`
  `isEmpty()`
  Deprecated.
  returns if the list is empty
  `Iterator<T>`
  `iterator()`
  Deprecated.
  returns an iterator, which allows the removal of elements.
  `T[]`
  `toArray(T[] tArray)`
  Deprecated.
  Returns an array of non null elements from the source array.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ManagedLinkedList

    public ManagedLinkedList(ReferenceBundle bundle)
    Deprecated.

- ## Method Details

  - ### add

    public void add(T value)
    Deprecated.
    adds a value to the list
    Parameters:
      `value` - the value

  - ### iterator

    public Iterator<T> iterator()
    Deprecated.
    returns an iterator, which allows the removal of elements. The next() method of the iterator may return null values. This is especially the case if the value was removed.
    Returns:
      the Iterator

  - ### toArray

    public T[] toArray(T[] tArray)
    Deprecated.
    Returns an array of non null elements from the source array.
    Parameters:
      `tArray` - the source array
    Returns:
      the array

  - ### isEmpty

    public boolean isEmpty()
    Deprecated.
    returns if the list is empty
    Returns:
      true if the list is empty